Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_storage_find_statements

## Name

librdf_storage_find_statements -- search the storage for matching statements

## Synopsis

``librdf_stream* `librdf_storage_find_statements`` (librdf_storage* `storage`, librdf_statement* `statement`);`

## Arguments

`storage`

  librdf_storage object

`statement`

  librdf_statement partial statement to find

## Description

Searches the storage for a (partial) statement as described in `librdf_statement_match` and returns a librdf_stream of matching librdf_statement objects.

## Return value

librdf_stream of matching statements (may be empty) or NULL on failure

<<< Previous | Home | Next >>>
librdf_storage_serialise | Up | librdf_storage_get_sources